<?php

class Wact_Template_Formatter_capitalize_TestCase extends Wact_Test_Case_Template {
    
    function testCapitalizeVariable() {
        $tmpl = $this->createTempTemplate('{$test|capitalize}');

        $tmpl->setModel(array('test' => 'testing'));
        $output = $tmpl->capture();
        $this->assertEqual($output, 'Testing');
    }

    function testCapitalizeConstant() {
        $tmpl = $this->createTempTemplate('{$"foo"|capitalize}');
        $output = $tmpl->capture();
        $this->assertEqual($output, 'Foo');
    }

}

?>